//
//  ProfileVC.swift
//  Garmentoo
//
//  Created by Vijith on 24/03/22.
//

import UIKit

class ProfileVC: UIViewController {

    @IBOutlet weak var profPic: UIImageView!
    
    
    @IBOutlet weak var textFieldView1: UIView!
    @IBOutlet weak var textFieldView2: UIView!
    @IBOutlet weak var textFieldView3: UIView!
    @IBOutlet weak var textFieldView4: UIView!
    
    
    
  
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        setui()
    }
    
    func setui(){
        self.profPic.layer.cornerRadius = self.profPic.frame.height/2
        
        let textFieldViews = [textFieldView1, textFieldView2,textFieldView3,textFieldView4]
        textFieldViews.forEach {$0?.backgroundColor = UIColor.viewBg}
    }

    @IBAction func OnTapBackBtn(_ sender: Any) {
        self.navigationController?.popViewController(animated: true)
    }
    @IBAction func OnTapEditBtn(_ sender: Any) {
        let sb = UIStoryboard(name: "Main", bundle: nil)
        let nextVc = sb.instantiateViewController(withIdentifier: "editprofile")as! EditProfileVC
        nextVc.hidesBottomBarWhenPushed = true
        self.navigationController?.pushViewController(nextVc, animated: true)
    }
    
    
    @IBAction func starBtm(_ sender: Any) {
        AppInstance.showLoader()
    }
    @IBAction func stopBtn(_ sender: Any) {
        AppInstance.hideLoader()
    }
}
